## eximdoc4 4.71

=== doc-docbook/Makefile ===
# $Cambridge: exim/exim-doc/doc-docbook/Makefile,v 1.13 2009/10/16 10:36:52 nm4 Exp $

# Make file for Exim documentation from xfpt source.

notarget:;    @echo "** You must specify a target, in the form x.y, where x is 'filter', 'spec',"
	      @echo "** or 'test', and y is 'xml', 'fo', 'ps', 'pdf', 'html', 'txt', or 'info'."
	      @echo "** One other possible target is 'exim.8'".
	      exit 1


############################# EVERYTHING ###############################
#
# Generate all the documentation files...
#
everything:		spec.pdf 	spec.ps 	spec.html 	spec.info 	spec.txt \
				filter.pdf 	filter.ps 	filter.html filter.info filter.txt \
				exim.8

############################## MAN PAGE ################################

exim.8:       spec.xml x2man
	      ./x2man

########################################################################


############################### FILTER #################################

filter.xml:      filter.xfpt
		 xfpt filter.xfpt

filter-pr.xml:   filter.xml Pre-xml
		 ./Pre-xml -bookinfo <filter.xml >filter-pr.xml

filter-html.xml: filter.xml Pre-xml
		 ./Pre-xml -html <filter.xml >filter-html.xml

filter-txt.xml:  filter.xml Pre-xml
		 ./Pre-xml -ascii -html -quoteliteral <filter.xml >filter-txt.xml

filter-info.xml: filter.xml Pre-xml
		 ./Pre-xml -ascii -html <filter.xml >filter-info.xml

filter.fo:       filter-pr.xml MyStyle-filter-fo.xsl MyStyle-fo.xsl MyStyle.xsl
		 /bin/rm -rf filter.fo filter-pr.fo
		 xmlto -x MyStyle-filter-fo.xsl fo filter-pr.xml
		 /bin/mv -f filter-pr.fo filter.fo

# Do not use pdf2ps from the PDF version; better PS is generated directly.

###
### PS/PDF generation using fop
###

fop-filter.ps:   filter.fo
		 fop filter.fo -ps filter-tmp.ps
		 mv filter-tmp.ps filter.ps

# Do not use ps2pdf from the PS version; better PDF is generated directly. It
# contains cross links etc.

fop-filter.pdf:  filter.fo PageLabelPDF
		 fop filter.fo -pdf filter-tmp.pdf
		 ./PageLabelPDF 2 <filter-tmp.pdf >filter.pdf

###
### PS/PDF generation using SDoP
###

sdop-filter.ps:  filter-pr.xml
		 sdop -o filter.ps filter-pr.xml

sdop-filter.pdf: filter.ps
		 ps2pdf filter.ps filter.pdf

###
### PS/PDF default setting
###

filter.ps:  sdop-filter.ps

filter.pdf: sdop-filter.pdf

###
###

filter.html:  filter-html.xml TidyHTML-filter MyStyle-nochunk-html.xsl \
                MyStyle-html.xsl MyStyle.xsl
	      /bin/rm -rf filter.html filter-html.html
	      xmlto -x MyStyle-nochunk-html.xsl html-nochunks filter-html.xml
	      /bin/mv -f filter-html.html filter.html
	      ./TidyHTML-filter

filter.txt:   filter-txt.xml Tidytxt MyStyle-txt-html.xsl MyStyle-html.xsl \
                MyStyle.xsl
	      /bin/rm -rf filter-txt.html
	      xmlto -x MyStyle-txt-html.xsl html-nochunks filter-txt.xml
	      w3m -dump filter-txt.html | ./Tidytxt >filter.txt

# I have not found a way of making docbook2texi write its output anywhere
# other than the file name that it makes up. The --to-stdout option does not
# work.

filter.info:  filter-info.xml
	      docbook2texi filter-info.xml
	      perl -ne 's/conceptindex/cindex/;s/optionindex/findex/;print;' \
		<exim_filtering.texi | ./Tidytxt >filter.texinfo
	      /bin/rm -rf exim_filtering.texi
	      makeinfo -o filter.info filter.texinfo

########################################################################


################################ SPEC ##################################

spec.xml:      spec.xfpt
	       xfpt spec.xfpt

spec-pr.xml:   spec.xml Pre-xml
	       ./Pre-xml -optbreak <spec.xml >spec-pr.xml

spec-html.xml: spec.xml Pre-xml
	       ./Pre-xml -html -oneindex \
		 <spec.xml >spec-html.xml

spec-txt.xml:  spec.xml Pre-xml
	       ./Pre-xml -ascii -html -noindex -quoteliteral \
		 <spec.xml >spec-txt.xml

spec-info.xml: spec.xml Pre-xml
	       ./Pre-xml -ascii -html -noindex <spec.xml >spec-info.xml

spec.fo:       spec-pr.xml MyStyle-spec-fo.xsl MyStyle-fo.xsl MyStyle.xsl \
               MyTitleStyle.xsl
	       /bin/rm -rf spec.fo spec-pr.fo
	       xmlto -x MyStyle-spec-fo.xsl fo spec-pr.xml
	       /bin/mv -f spec-pr.fo spec.fo

###
### PS/PDF generation using fop
###

# Do not use pdf2ps from the PDF version; better PS is generated directly.

fop-spec.ps:  spec.fo
	      FOP_OPTS=-Xmx512m fop spec.fo -ps spec-tmp.ps
	      mv spec-tmp.ps spec.ps

# Do not use ps2pdf from the PS version; better PDF is generated directly. It
# contains cross links etc. We post-process it to add page label information
# so that the page identifiers shown by acroread are the correct page numbers.

fop-spec.pdf: spec.fo PageLabelPDF
	      FOP_OPTS=-Xmx512m fop spec.fo -pdf spec-tmp.pdf
	      ./PageLabelPDF 12 <spec-tmp.pdf >spec.pdf

###
### PS/PDF generation using SDoP
###

sdop-spec.ps:  spec-pr.xml
	       sdop -o spec.ps spec-pr.xml

sdop-spec.pdf: spec.ps
	       ps2pdf spec.ps spec.pdf

###
### PS/PDF default setting
###

spec.ps:  sdop-spec.ps

spec.pdf: sdop-spec.pdf

###
###

spec.html:    spec-html.xml TidyHTML-spec MyStyle-chunk-html.xsl \
                MyStyle-html.xsl MyStyle.xsl
	      /bin/rm -rf spec_html
	      xmlto -x MyStyle-chunk-html.xsl -o spec_html html spec-html.xml
	      ./TidyHTML-spec

spec.txt:     spec-txt.xml Tidytxt MyStyle-txt-html.xsl MyStyle-html.xsl \
                MyStyle.xsl
	      /bin/rm -rf spec-txt.html
	      xmlto -x MyStyle-txt-html.xsl html-nochunks spec-txt.xml
	      w3m -dump spec-txt.html | ./Tidytxt >spec.txt

# I have not found a way of making docbook2texi write its output anywhere
# other than the file name that it makes up. The --to-stdout option does not
# work.

spec.info:    spec-info.xml
	      docbook2texi spec-info.xml
	      ./TidyInfo <the_exim_mta.texi >spec.texinfo
	      /bin/rm -rf the_exim_mta.texi
	      makeinfo -o spec.info --no-split spec.texinfo

########################################################################


################################ TEST ##################################

# These targets (similar to the above)  are for running little tests.

test.xml:     test.xfpt
	      xfpt test.xfpt

test-pr.xml:  test.xml Pre-xml
	      ./Pre-xml <test.xml >test-pr.xml

test-html.xml: test.xml Pre-xml
	      ./Pre-xml -html -oneindex <test.xml >test-html.xml

test-txt.xml: test.xml Pre-xml
	      ./Pre-xml -ascii -html -noindex -quoteinfo \
		<test.xml >test-txt.xml

test-info.xml: test.xml Pre-xml
	      ./Pre-xml -ascii -html -noindex <test.xml >test-info.xml

test.fo:      test-pr.xml MyStyle-spec-fo.xsl MyStyle-fo.xsl MyStyle.xsl \
                MyTitleStyle.xsl
	      /bin/rm -rf test.fo test-pr.fo
	      xmlto -x MyStyle-spec-fo.xsl fo test-pr.xml
	      /bin/mv -f test-pr.fo test.fo

###
### PS/PDF generation using fop
###

# Do not use pdf2ps from the PDF version; better PS is generated directly.

fop-test.ps:  test.fo
	      fop test.fo -ps test-tmp.ps
	      mv test-tmp.ps test.ps

# Do not use ps2pdf from the PS version; better PDF is generated directly. It
# contains cross links etc.

fop-test.pdf: test.fo
	      fop test.fo -pdf test-tmp.pdf
	      mv test-tmp.pdf test.pdf

###
### PS/PDF generation using SDoP
###

sdop-test.ps:  test-pr.xml
	       sdop -o test.ps test-pr.xml

sdop-test.pdf: test.ps
	       ps2pdf test.ps test.pdf

###
### PS/PDF default setting
###

test.ps:  sdop-test.ps

test.pdf: sdop-test.pdf

###
###


test.html:    test-html.xml MyStyle-nochunk-html.xsl MyStyle-html.xsl \
                MyStyle.xsl
	      /bin/rm -rf test.html test-html.html
	      xmlto -x MyStyle-nochunk-html.xsl html-nochunks test-html.xml
	      /bin/mv -f test-html.html test.html

test.txt:     test-txt.xml Tidytxt MyStyle-txt-html.xsl MyStyle-html.xsl \
                MyStyle.xsl
	      /bin/rm -rf test-txt.html
	      xmlto -x MyStyle-txt-html.xsl html-nochunks test-txt.xml
	      w3m -dump test-txt.html | Tidytxt >test.txt

# I have not found a way of making docbook2texi write its output anywhere
# other than the file name that it makes up. The --to-stdout option does not
# work.

test.info:    test-info.xml
	      docbook2texi test-info.xml
	      ./TidyInfo <short_title.texi >test.texinfo
	      /bin/rm -rf short_title.texi
	      makeinfo -o test.info test.texinfo

########################################################################


############################## OS FIXUP ################################

# Yes, we've advanced so far in text processing that we now have to
# hardcode in complete paths and so become dependent upon exactly where
# files were installed for xsl:import.  Which of course varies by OS.

os-fixup:
	./OS-Fixups

########################################################################


################################ CLEAN #################################

clean:; /bin/rm -rf exim.8 \
	      filter*.xml spec*.xml test*.xml \
	      *.fo *.html *.pdf *.ps \
	      filter*.txt spec*.txt test*.txt \
	      *.info* *.texinfo *.texi

########################################################################

=== debian/changelog ===
eximdoc4 (4.71-1) unstable; urgency=low

  [ Marc Haber ]
  * remove FAQ references from package description. Upstream
    does not ship the FAQ any more with the documentation. Closes: #169329

  [ Andreas Metzler ]
  * New upstream version.
    + Does not link to missing files pcrepattern.html and pcretest.html
      anymore. Closes: #467373
  * doc-base section Network/Communication instead of Apps/Net.
  * Update copyright file.
  * Debhelper v7 mode. Use dh_prep instead of dh_clean -k.
  * Drop unneeded lintian override for build-depends-without-arch-dep.
  * Drop cruft shipped upstream (*-txt.html).
  * Build from upstream CVS instead of using upstream's preprocessed html/info
    files.
    + Build-Depend on xfpt, docbook2x, docbook-xml, xmlto.
    + Adapt debian/rules and debhelper files.
  * Drop debian/exim4-doc-info.docs. debian/README.Debian is installed by
    default anyway.
  * Switch to 3.0 (quilt) format.
  * Point watchfile to ftp.exim.org.
  * 0002-info-direntry-description-and-infodir-category.patch and
    0003-Set-info-filename.patch allow installation with the new triggered
    install-info and Closes: #551710

 -- Andreas Metzler <ametzler@debian.org>  Sun, 13 Dec 2009 15:52:55 +0100

eximdoc4 (4.69-1) unstable; urgency=low

  * New upstream version.
  * Standards-Version: 3.7.3
  * Remove dpatch

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Tue, 22 Jan 2008 21:55:41 +0100

eximdoc4 (4.68-1) unstable; urgency=low

  * New upstream version.

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sun, 04 Nov 2007 22:02:31 +0100

eximdoc4 (4.67-1) unstable; urgency=low

  * New upstream version.
  * remove doc-base references for FAQ, it is no longer included.

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Wed, 13 Jun 2007 14:23:12 +0200

eximdoc4 (4.64-1) experimental; urgency=low

  * New upstream version.

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Thu, 21 Dec 2006 14:05:57 +0100

eximdoc4 (4.63-1) unstable; urgency=low

  * New upstream version.
    - Upstream has kindly included the references to pkg-exim4-users
      to the upstream docs, we do not need to patch the docs any more.
      Closes: #377497
  * Adapt package description to the wording we have in the main
    package, remove outdated version reference from package description.
  * Add README.Debian to cross-reference to the daemon package's
    README.Debian.
  * Standards-Version: 3.7.2.2 (no changes necessary)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Mon,  6 Nov 2006 10:51:05 +0000

eximdoc4 (4.61-1) unstable; urgency=low

  * New upstream version. (Yes, the "eximversion == x.y0 <=> documentation is
    up to date"-rule is no more.)
    - contains info index. (Closes: #233925)
    - address lists improved. (Closes: #273285)
  * Use debian/compat instead of DH_COMPAT=4 to set debhelper compability
    level.
  * debian/exim4-doc-html.compress does not use bashisms, change shebang line.
  * Fix exim4-doc-html.doc-base.spec. (Thanks, linda.)

 -- Andreas Metzler <ametzler@debian.org>  Sun,  9 Apr 2006 11:18:48 +0200

eximdoc4 (4.60a-1) unstable; urgency=low

  * package new 4.60 documentation released by Upstream in February 2006.
    * Hyperlinks in "Handling an incoming message" added. Closes: #275811
    * Hyperlinks in "File and database lookups" added.
      Closes: #271559, #271561
    * Hyperlinks in "Address batching in local transports" added.
      Closes: #271674
    * Hyperlinks in "use_bsmtp (pipe) option added". Closes: #271676
    * It is now documented that log_fail_output and log_output are
      mutually exclusive in pipe transport. Closes: #271680
    * Hyperlinks in "Address lists" added. Closes: #273449
    * Hyperlinks in "Handling an incoming message" added. Closes: #275811
    * Hyperlinks in "Generic options for routers" added. Closes: #293414
  * upstream version number 4.60a needed because we have a new orig
    tarball, while upstream has kept the version number for the re-work.
  * Build-Depend on dpatch, use dpatch.
  * Keep /usr/share/doc/exim4-doc-html/html/FAQ-html/*.txt from being
    compressed. Thanks to Pater Hartzler. Closes: #245421

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sat, 18 Feb 2006 21:22:11 +0000

eximdoc4 (4.60-2) unstable; urgency=low

  * remove the need of fixing the version number in
    exim4-doc-info.info as well. Thanks to Aaron M. Ucko
    for spotting this. (mh) Closes: #343375

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Thu, 15 Dec 2005 07:30:43 +0000

eximdoc4 (4.60-1) unstable; urgency=low

  * New upstream version.
  * fix paths in doc-base control files
  * mention sources in debian/control
  * add debian/watch file
  * roll back Build-Depends-Indep to Build-Depends. Add corresponding
    debian/source.lintian-overrides
  * Standards-Version: 3.6.2.0 (no changed needed)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Mon, 28 Nov 2005 19:22:40 +0000

eximdoc4 (4.50-1) unstable; urgency=low

  * New upstream version.
  * First version to be built out of svn instead of cvs.
  * Streamline package descriptions according to main package.
  * use Build-Depends-Indep instead of Build-Depends.

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sun, 27 Feb 2005 21:46:12 +0000

eximdoc4 (4.40-1) unstable; urgency=low

  * New upstream version.
   - Clarify meaning of "matches" (Closes: #233927)
  * Drop eximdoc4-* dummy packages.
  * Lowercase first word of package descriptions. (Requested by lintian)
  * change maintainer e-mail to alioth mailinglist.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 16 Jan 2005 21:12:12 +0100

eximdoc4 (4.30-2) unstable; urgency=low

  * Fix doc-base reference for exim-filter's html documentation.
    (Closes: #224242) (Thanks to Laurent.Bonnaud)

 -- Andreas Metzler <ametzler@debian.org>  Mon, 12 Jan 2004 17:25:09 +0100

eximdoc4 (4.30-1) unstable; urgency=low

  * New upstream version 4.30.
    - fixes stray formatting (font color) on info-pages. (Closes: #202501)


=== debian/control ===
Source: eximdoc4
Section: doc
Priority: optional
Maintainer: Exim4 Maintainers <pkg-exim4-maintainers@lists.alioth.debian.org>
Uploaders: Marc Haber <mh+debian-packages@zugschlus.de>, Andreas Metzler <ametzler@debian.org>
Build-Depends: texinfo, debhelper (>= 7.0.15), xfpt, docbook2x, docbook-xml, xmlto
Standards-Version: 3.8.3

Package: exim4-doc-info
Depends: ${misc:Depends}
Replaces: eximdoc4-info
Architecture: all
Description: documentation for the Exim MTA (v4) in info format
 Contains specification and filtering documentation in info format,
 taken from upstream's exim-texinfo.tar.bz2.
 .
 The Debian exim4 packages have their own web page,
 http://pkg-exim4.alioth.debian.org/. There is also a FAQ list. Local
 information about the way the Debian packages can be configured is
 can be found in /usr/share/doc/exim4-base/README.Debian.gz. This file
 has also information about the way the Debian binary packages are
 built. There is a Debian-centered mailing list,
 pkg-exim4-users@lists.alioth.debian.org. Please ask Debian-specific
 questions there, and only write to the upstream exim-users mailing
 list if you are sure that your question is not Debian-specific. You
 can find the subscription web page on
 http://lists.alioth.debian.org/mailman/listinfo/pkg-exim4-users
 .
 exim is a drop-in replacement for sendmail/mailq/rsmtp.
 .
 Upstream URL: http://www.exim.org/
 
Package: exim4-doc-html
Depends: ${misc:Depends}
Replaces: eximdoc4-html
Architecture: all
Description: documentation for the Exim MTA (v4) in html format
 Contains specification and filtering documentation in HTML format,
 taken from upstream's exim-html.tar.bz2.
 .
 The Debian exim4 packages have their own web page,
 http://pkg-exim4.alioth.debian.org/. There is also a FAQ list. Local
 information about the way the Debian packages can be configured is
 can be found in /usr/share/doc/exim4-base/README.Debian.gz. This file
 has also information about the way the Debian binary packages are
 built. There is a Debian-centered mailing list,
 pkg-exim4-users@lists.alioth.debian.org. Please ask Debian-specific
 questions there, and only write to the upstream exim-users mailing
 list if you are sure that your question is not Debian-specific. You
 can find the subscription web page on
 http://lists.alioth.debian.org/mailman/listinfo/pkg-exim4-users
 .
 exim is a drop-in replacement for sendmail/mailq/rsmtp.
 .
 Upstream URL: http://www.exim.org/

## eximdoc4 4.72

=== doc-docbook/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Cambridge: exim/exim-doc/doc-docbook/Makefile,v 1.13 2009/10/16 10:36:52 nm4 Exp $
+# $Cambridge: exim/doc/doc-docbook/Makefile,v 1.14 2010/05/28 15:38:18 nm4 Exp $
 
 # Make file for Exim documentation from xfpt source.
 
@@ -12,8 +12,9 @@
 #
 # Generate all the documentation files...
 #
-everything:		spec.pdf 	spec.ps 	spec.html 	spec.info 	spec.txt \
-				filter.pdf 	filter.ps 	filter.html filter.info filter.txt \
+## removed info files as I cannot generate them -  spec.info filter.info
+everything:		spec.pdf 	spec.ps 	spec.html  	spec.txt \
+				filter.pdf 	filter.ps 	filter.html filter.txt \
 				exim.8
 
 ############################## MAN PAGE ################################

=== debian/changelog ===
eximdoc4 (4.72-1) unstable; urgency=low

  * New upstream version.
  * Update 0003-Set-info-filename.patch.
  * Separate out 0004-docbookpath.diff, instead of including it in
    orig.tar.gz.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 14 Nov 2010 14:47:06 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Exim4 Maintainers <pkg-exim4-maintainers@lists.alioth.debian.org>
 Uploaders: Marc Haber <mh+debian-packages@zugschlus.de>, Andreas Metzler <ametzler@debian.org>
 Build-Depends: texinfo, debhelper (>= 7.0.15), xfpt, docbook2x, docbook-xml, xmlto
-Standards-Version: 3.8.3
+Standards-Version: 3.9.1
 
 Package: exim4-doc-info
 Depends: ${misc:Depends}

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
#
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independent
# package.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

PACKAGEVERSION=4.71


build-arch: build-arch-stamp
build-arch-stamp:
	dh_testdir

	# Add here command to compile/build the package.

	touch build-arch-stamp

build-indep:  build-indep-stamp
build-indep-stamp:
	dh_testdir
	cp -a doc-docbook build-tree

	cd build-tree && \
		$(MAKE) DOCBOOK2TEXI=docbook2x-texi os-fixup && \
		$(MAKE) DOCBOOK2TEXI=docbook2x-texi spec.html filter.html \
			spec.info filter.info
	touch build-indep-stamp

build: build-stamp
#build-stamp: patch build-arch build-indep
build-stamp: build-arch build-indep

#clean: clean1 unpatch
clean: clean1
clean1:
	dh_testdir
	dh_testroot
	rm -rf build-stamp configure-stamp build-tree build-indep-stamp build-arch-stamp

	dh_clean

install: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	cp -a build-tree/index.html \
		$(CURDIR)/debian/exim4-doc-html/usr/share/doc/exim4-doc-html/html
	cp -a build-tree/filter.html* build-tree/spec_html* \
		$(CURDIR)/debian/exim4-doc-html/usr/share/doc/exim4-doc-html/html


# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installdocs -i
	dh_installexamples -i
	dh_installmenu -i
	dh_installinfo -i
	dh_installchangelogs  -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install


binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure \
	patch unpatch clean1

## eximdoc4 4.77

=== debian/changelog ===
eximdoc4 (4.77-1) unstable; urgency=low

  * New upstream version.
  * Html docs are now built with a perl script (found in exim-website.git)
    instead of xmlto/docbook-xml.
  * Add Homepage, Vcs-Svn and Vcs-Browser fields to debian/control.
  * Delete debian/exim4-doc-html.compress, dh_compress defaults produce the
    same result.
  * 0010-fixbrokenlinks.diff: The html pages are optimized for direct 
    installation on www.exim.org.
  * Use same layout as upstream, installing spec and filter into the same
    directory.
  * Ship css files.
  * Build-depend on docbook-xml (for html), online accesse of doc-dtd is
    slow.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 22 Jan 2012 14:11:34 +0100

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,23 @@
 Section: doc
 Priority: optional
 Maintainer: Exim4 Maintainers <pkg-exim4-maintainers@lists.alioth.debian.org>
-Uploaders: Marc Haber <mh+debian-packages@zugschlus.de>, Andreas Metzler <ametzler@debian.org>
-Build-Depends: texinfo, debhelper (>= 7.0.15), xfpt, docbook2x, docbook-xml, xmlto
-Standards-Version: 3.9.1
+Uploaders: Marc Haber <mh+debian-packages@zugschlus.de>,
+ Andreas Metzler <ametzler@debian.org>
+Build-Depends: texinfo, debhelper (>= 7.0.15), xfpt, docbook2x, 
+ libcss-minifier-xs-perl, libjavascript-minifier-xs-perl,
+ libfile-slurp-perl, libxml-libxml-perl, libxml-libxslt-perl, 
+ docbook-xml
+Homepage: http://www.exim.org/
+Standards-Version: 3.9.2
+Vcs-Svn: svn://svn.debian.org/svn/pkg-exim4/eximdoc4/trunk
+Vcs-Browser: http://svn.debian.org/wsvn/pkg-exim4/eximdoc4/trunk/
 
 Package: exim4-doc-info
 Depends: ${misc:Depends}
 Replaces: eximdoc4-info
 Architecture: all
 Description: documentation for the Exim MTA (v4) in info format
- Contains specification and filtering documentation in info format,
- taken from upstream's exim-texinfo.tar.bz2.
+ Contains specification and filtering documentation in info format.
  .
  The Debian exim4 packages have their own web page,
  http://pkg-exim4.alioth.debian.org/. There is also a FAQ list. Local
@@ -27,16 +33,13 @@
  http://lists.alioth.debian.org/mailman/listinfo/pkg-exim4-users
  .
  exim is a drop-in replacement for sendmail/mailq/rsmtp.
- .
- Upstream URL: http://www.exim.org/
  
 Package: exim4-doc-html
 Depends: ${misc:Depends}
 Replaces: eximdoc4-html
 Architecture: all
 Description: documentation for the Exim MTA (v4) in html format
- Contains specification and filtering documentation in HTML format,
- taken from upstream's exim-html.tar.bz2.
+ Contains specification and filtering documentation in HTML format.
  .
  The Debian exim4 packages have their own web page,
  http://pkg-exim4.alioth.debian.org/. There is also a FAQ list. Local
@@ -51,5 +54,3 @@
  http://lists.alioth.debian.org/mailman/listinfo/pkg-exim4-users
  .
  exim is a drop-in replacement for sendmail/mailq/rsmtp.
- .
- Upstream URL: http://www.exim.org/

## eximdoc4 4.80

=== doc-docbook/Makefile ===
--- 
+++ 
@@ -1,5 +1,3 @@
-# $Cambridge: exim/doc/doc-docbook/Makefile,v 1.14 2010/05/28 15:38:18 nm4 Exp $
-
 # Make file for Exim documentation from xfpt source.
 
 notarget:;    @echo "** You must specify a target, in the form x.y, where x is 'filter', 'spec',"
@@ -13,8 +11,9 @@
 # Generate all the documentation files...
 #
 ## removed info files as I cannot generate them -  spec.info filter.info
-everything:		spec.pdf 	spec.ps 	spec.html  	spec.txt \
-				filter.pdf 	filter.ps 	filter.html filter.txt \
+## removed html files as superceded by new website code
+everything:		spec.pdf 	spec.ps  	spec.txt \
+				filter.pdf 	filter.ps filter.txt \
 				exim.8
 
 ############################## MAN PAGE ################################
@@ -32,9 +31,6 @@
 
 filter-pr.xml:   filter.xml Pre-xml
 		 ./Pre-xml -bookinfo <filter.xml >filter-pr.xml
-
-filter-html.xml: filter.xml Pre-xml
-		 ./Pre-xml -html <filter.xml >filter-html.xml
 
 filter-txt.xml:  filter.xml Pre-xml
 		 ./Pre-xml -ascii -html -quoteliteral <filter.xml >filter-txt.xml
@@ -84,19 +80,13 @@
 
 ###
 ###
-
-filter.html:  filter-html.xml TidyHTML-filter MyStyle-nochunk-html.xsl \
-                MyStyle-html.xsl MyStyle.xsl
-	      /bin/rm -rf filter.html filter-html.html
-	      xmlto -x MyStyle-nochunk-html.xsl html-nochunks filter-html.xml
-	      /bin/mv -f filter-html.html filter.html
-	      ./TidyHTML-filter
 
 filter.txt:   filter-txt.xml Tidytxt MyStyle-txt-html.xsl MyStyle-html.xsl \
                 MyStyle.xsl
 	      /bin/rm -rf filter-txt.html
 	      xmlto -x MyStyle-txt-html.xsl html-nochunks filter-txt.xml
 	      w3m -dump filter-txt.html | ./Tidytxt >filter.txt
+	      ./SanityTestText filter.txt
 
 # I have not found a way of making docbook2texi write its output anywhere
 # other than the file name that it makes up. The --to-stdout option does not
@@ -120,10 +110,6 @@
 spec-pr.xml:   spec.xml Pre-xml
 	       ./Pre-xml -optbreak <spec.xml >spec-pr.xml
 
-spec-html.xml: spec.xml Pre-xml
-	       ./Pre-xml -html -oneindex \
-		 <spec.xml >spec-html.xml
-
 spec-txt.xml:  spec.xml Pre-xml
 	       ./Pre-xml -ascii -html -noindex -quoteliteral \
 		 <spec.xml >spec-txt.xml
@@ -176,17 +162,12 @@
 ###
 ###
 
-spec.html:    spec-html.xml TidyHTML-spec MyStyle-chunk-html.xsl \
-                MyStyle-html.xsl MyStyle.xsl
-	      /bin/rm -rf spec_html
-	      xmlto -x MyStyle-chunk-html.xsl -o spec_html html spec-html.xml
-	      ./TidyHTML-spec
-
 spec.txt:     spec-txt.xml Tidytxt MyStyle-txt-html.xsl MyStyle-html.xsl \
                 MyStyle.xsl
 	      /bin/rm -rf spec-txt.html
 	      xmlto -x MyStyle-txt-html.xsl html-nochunks spec-txt.xml
 	      w3m -dump spec-txt.html | ./Tidytxt >spec.txt
+	      ./SanityTestText spec.txt
 
 # I have not found a way of making docbook2texi write its output anywhere
 # other than the file name that it makes up. The --to-stdout option does not
@@ -266,12 +247,6 @@
 ###
 
 
-test.html:    test-html.xml MyStyle-nochunk-html.xsl MyStyle-html.xsl \
-                MyStyle.xsl
-	      /bin/rm -rf test.html test-html.html
-	      xmlto -x MyStyle-nochunk-html.xsl html-nochunks test-html.xml
-	      /bin/mv -f test-html.html test.html
-
 test.txt:     test-txt.xml Tidytxt MyStyle-txt-html.xsl MyStyle-html.xsl \
                 MyStyle.xsl
 	      /bin/rm -rf test-txt.html

=== debian/changelog ===
eximdoc4 (4.80-2) unstable; urgency=low

  * 0015_tls_dh_min_bits.diff: document tls_dh_min_bits, introduced in exim4
    upload 4.80-2.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 08 Jun 2012 13:23:13 +0200

eximdoc4 (4.80-1) unstable; urgency=low

  * New upstream version.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 03 Jun 2012 18:16:09 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  libfile-slurp-perl, libxml-libxml-perl, libxml-libxslt-perl, 
  docbook-xml
 Homepage: http://www.exim.org/
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Svn: svn://svn.debian.org/svn/pkg-exim4/eximdoc4/trunk
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-exim4/eximdoc4/trunk/

=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,8 @@
 # Uncomment this to turn on verbose mode. 
 #export DH_VERBOSE=1
 
-PACKAGEVERSION=4.71
-
+UPSTREAMVERSION := $(shell dpkg-parsechangelog | \
+	sed -n '/^Version: /{s/^Version: \(.\+\)-[^-]\+/\1/;p;}')
 
 build-arch: build-arch-stamp
 build-arch-stamp:
@@ -27,8 +27,15 @@
 
 	cd build-tree && \
 		$(MAKE) DOCBOOK2TEXI=docbook2x-texi os-fixup && \
-		$(MAKE) DOCBOOK2TEXI=docbook2x-texi spec.html filter.html \
+		$(MAKE) DOCBOOK2TEXI=docbook2x-texi spec.xml filter.xml \
 			spec.info filter.info
+	mkdir build-tree/html
+	cd build-tree && \
+		$(CURDIR)/website/script/gen.pl \
+		--spec $(CURDIR)/build-tree/spec.xml \
+		--filter $(CURDIR)/build-tree/filter.xml \
+		--latest $(UPSTREAMVERSION) --tmpl $(CURDIR)/website/templates \
+		--docroot $(CURDIR)/build-tree/html
 	touch build-indep-stamp
 
 build: build-stamp
@@ -49,11 +56,7 @@
 	dh_testroot
 	dh_prep
 	dh_installdirs
-
-	cp -a build-tree/index.html \
-		$(CURDIR)/debian/exim4-doc-html/usr/share/doc/exim4-doc-html/html
-	cp -a build-tree/filter.html* build-tree/spec_html* \
-		$(CURDIR)/debian/exim4-doc-html/usr/share/doc/exim4-doc-html/html
+	dh_install
 
 
 # Build architecture-independent files here.

## eximdoc4 4.82

=== doc-docbook/Makefile ===
--- 
+++ 
@@ -23,10 +23,13 @@
 
 ########################################################################
 
+.PHONY: local_params
+local_params:
+	./GenLocalParams $@
 
 ############################### FILTER #################################
 
-filter.xml:      filter.xfpt
+filter.xml:      local_params filter.xfpt
 		 xfpt filter.xfpt
 
 filter-pr.xml:   filter.xml Pre-xml
@@ -104,7 +107,7 @@
 
 ################################ SPEC ##################################
 
-spec.xml:      spec.xfpt
+spec.xml:      local_params spec.xfpt
 	       xfpt spec.xfpt
 
 spec-pr.xml:   spec.xml Pre-xml
@@ -282,7 +285,8 @@
 
 clean:; /bin/rm -rf exim.8 \
 	      filter*.xml spec*.xml test*.xml \
-	      *.fo *.html *.pdf *.ps \
+	      *.fo *.pdf *.ps \
+	      filter*.html spec*.html test*.html \
 	      filter*.txt spec*.txt test*.txt \
 	      *.info* *.texinfo *.texi

=== debian/changelog ===
eximdoc4 (4.82-2) unstable; urgency=low

  * Add docbook-xsl to build-depends.
  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 30 Nov 2013 12:49:28 +0100

eximdoc4 (4.82-1) experimental; urgency=low

  * New upstream version.
  * Unfuzz patches, drop 0015_tls_dh_min_bits.diff.
  * 0020-clean-revision.diff revnumber as filled by the version macro contains
    whitespace, which gen.pl does not like.
  * Pass a cleaned version number (no "rc" or "~") to gen.pl.
  * Drop superfluous 0004-docbookpath.diff.
  * Invoke gen.pl with --verbose option.
  * Flatten compatibility symlinks in html doc.
  * Fix path to images and css.
  * Point vcs-* to git.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 10 Nov 2013 16:41:42 +0100

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,8 @@
 
 UPSTREAMVERSION := $(shell dpkg-parsechangelog | \
 	sed -n '/^Version: /{s/^Version: \(.\+\)-[^-]\+/\1/;p;}')
+
+export EXIM_VER := $(shell echo $(UPSTREAMVERSION) | sed -e 's/~.*//g')
 
 build-arch: build-arch-stamp
 build-arch-stamp:
@@ -31,11 +33,20 @@
 			spec.info filter.info
 	mkdir build-tree/html
 	cd build-tree && \
-		$(CURDIR)/website/script/gen.pl \
+		$(CURDIR)/website/script/gen.pl --verbose \
 		--spec $(CURDIR)/build-tree/spec.xml \
 		--filter $(CURDIR)/build-tree/filter.xml \
-		--latest $(UPSTREAMVERSION) --tmpl $(CURDIR)/website/templates \
+		--latest $(EXIM_VER) --tmpl $(CURDIR)/website/templates \
 		--docroot $(CURDIR)/build-tree/html
+	cd build-tree/html/exim-html-*/doc/html/spec_html/ && \
+		find -name 'ch??.html' -or -name 'filter_ch??.html' | \
+		while read i ; do s=`readlink "$$i" | sed -e 's:.*/::'` ; \
+		rm "$$i" ; ln -vs "$$s" "$$i" ; done
+	find build-tree/html/exim-html-*/doc/html/spec_html/ -type f \
+		-name '*.html' -print0 | xargs -r0 \
+		sed -i -e 's:href="[^"]*/\([^"]*\.css"\):href="\1:g' \
+		-e 's:img src="\.[^"]*/\([^"]*\.png\):img src="\1:g'
+
 	touch build-indep-stamp
 
 build: build-stamp

## eximdoc4 4.84

=== debian/changelog ===
eximdoc4 (4.84-1) unstable; urgency=medium

  * New upstream version.
  * Refresh patches.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 15 Aug 2014 13:23:28 +0200

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
 Build-Depends: texinfo, debhelper (>= 7.0.15), xfpt, docbook2x, 
  libcss-minifier-xs-perl, libjavascript-minifier-xs-perl,
  libfile-slurp-perl, libxml-libxml-perl, libxml-libxslt-perl, 
- docbook-xml
+ docbook-xml, docbook-xsl
 Homepage: http://www.exim.org/
-Standards-Version: 3.9.3
-Vcs-Svn: svn://svn.debian.org/svn/pkg-exim4/eximdoc4/trunk
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-exim4/eximdoc4/trunk/
+Standards-Version: 3.9.5
+Vcs-Git: git://anonscm.debian.org/pkg-exim4/eximdoc4.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-exim4/eximdoc4.git
 
 Package: exim4-doc-info
 Depends: ${misc:Depends}

## eximdoc4 4.86

=== doc-docbook/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 notarget:;    @echo "** You must specify a target, in the form x.y, where x is 'filter', 'spec',"
 	      @echo "** or 'test', and y is 'xml', 'fo', 'ps', 'pdf', 'html', 'txt', or 'info'."
-	      @echo "** One other possible target is 'exim.8'".
+	      @echo "** One other possible targets 'exim.8', 'spec.utf8'".
 	      exit 1
 
 
@@ -23,9 +23,17 @@
 
 ########################################################################
 
-.PHONY: local_params
-local_params:
-	./GenLocalParams $@
+# .PHONY doesn't work here, because it forces a rebuild of all dependend
+# targets, always. It sets the internal timestamp of its target to
+# now().
+# But it may happen that local_params does not change
+FORCE:
+local_params: FORCE GenLocalParams
+	@set -e; \
+	trap 'rm -f $$tmp' EXIT; \
+	tmp=`mktemp`; \
+	./GenLocalParams $$tmp; \
+	cmp -s $@ $$tmp || mv $$tmp $@
 
 ############################### FILTER #################################
 
@@ -88,7 +96,7 @@
                 MyStyle.xsl
 	      /bin/rm -rf filter-txt.html
 	      xmlto -x MyStyle-txt-html.xsl html-nochunks filter-txt.xml
-	      w3m -dump filter-txt.html | ./Tidytxt >filter.txt
+	      LC_ALL=C w3m -dump filter-txt.html | ./Tidytxt >filter.txt
 	      ./SanityTestText filter.txt
 
 # I have not found a way of making docbook2texi write its output anywhere
@@ -107,8 +115,8 @@
 
 ################################ SPEC ##################################
 
-spec.xml:      local_params spec.xfpt
-	       xfpt spec.xfpt
+spec.xml:      spec.xfpt local_params
+	       xfpt $<
 
 spec-pr.xml:   spec.xml Pre-xml
 	       ./Pre-xml -optbreak <spec.xml >spec-pr.xml
@@ -165,12 +173,20 @@
 ###
 ###
 
-spec.txt:     spec-txt.xml Tidytxt MyStyle-txt-html.xsl MyStyle-html.xsl \
-                MyStyle.xsl
-	      /bin/rm -rf spec-txt.html
-	      xmlto -x MyStyle-txt-html.xsl html-nochunks spec-txt.xml
-	      w3m -dump spec-txt.html | ./Tidytxt >spec.txt
+spec-txt.html:     spec-txt.xml \
+		MyStyle-txt-html.xsl MyStyle-html.xsl MyStyle.xsl
+	      xmlto -x MyStyle-txt-html.xsl html-nochunks $<
+
+spec.utf8:	spec-txt.html Tidytxt
+		@grep -iq 'LC_CTYPE=.*utf-\?8' local_params || { \
+			echo 'your current locale does not support UTF-8' >&2; \
+			false; }
+		w3m -dump $< | ./Tidytxt -utf8 >$@
+
+spec.txt: spec-txt.html Tidytxt
+	      LC_ALL=C w3m -dump $< | ./Tidytxt >$@
 	      ./SanityTestText spec.txt
+
 
 # I have not found a way of making docbook2texi write its output anywhere
 # other than the file name that it makes up. The --to-stdout option does not

=== debian/changelog ===
eximdoc4 (4.86-1) unstable; urgency=medium

  * Complete 0010-fixbrokenlinks.diff no more 404s. Closes: #691854
  * New upstream stable release.
  * Upgrade to debhelper v9 mode, use dh.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 15 Aug 2015 15:54:34 +0200

eximdoc4 (4.86~RC5-1) unstable; urgency=medium

  * New upstream version.
    + Refresh patches.
  * Actually apply 0010-fixbrokenlinks.diff.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 19 Jul 2015 14:14:41 +0200

eximdoc4 (4.85-2) unstable; urgency=medium

  * 0030-reproducible-build.diff: Pull build-timestamp from debian/changelog
    (Thanks, Chris Lamb). Closes: #783465
  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 29 Apr 2015 19:18:14 +0200

eximdoc4 (4.85-1) experimental; urgency=medium

  * New upstream version.
  * Drop some cruft from debian/rules.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 14 Jan 2015 19:39:00 +0100

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Maintainer: Exim4 Maintainers <pkg-exim4-maintainers@lists.alioth.debian.org>
 Uploaders: Marc Haber <mh+debian-packages@zugschlus.de>,
  Andreas Metzler <ametzler@debian.org>
-Build-Depends: texinfo, debhelper (>= 7.0.15), xfpt, docbook2x, 
+Build-Depends: texinfo, debhelper (>= 9), xfpt, docbook2x, 
  libcss-minifier-xs-perl, libjavascript-minifier-xs-perl,
  libfile-slurp-perl, libxml-libxml-perl, libxml-libxslt-perl, 
  docbook-xml, docbook-xsl
 Homepage: http://www.exim.org/
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-exim4/eximdoc4.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-exim4/eximdoc4.git

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

UPSTREAMVERSION := $(shell dpkg-parsechangelog | \
	sed -n '/^Version: /{s/^Version: \(.\+\)-[^-]\+/\1/;p;}')

export EXIM_VER := $(shell echo $(UPSTREAMVERSION) | sed -e 's/~.*//g')

override_dh_auto_clean:
	rm -rf build-tree

override_dh_auto_build:
	cp -a doc-docbook build-tree

	cd build-tree && \
		$(MAKE) DOCBOOK2TEXI=docbook2x-texi os-fixup && \
		$(MAKE) DOCBOOK2TEXI=docbook2x-texi spec.xml filter.xml \
			spec.info filter.info
	mkdir build-tree/html
	cd build-tree && \
		$(CURDIR)/website/script/gen.pl --verbose \
		--spec $(CURDIR)/build-tree/spec.xml \
		--filter $(CURDIR)/build-tree/filter.xml \
		--latest $(EXIM_VER) --tmpl $(CURDIR)/website/templates \
		--docroot $(CURDIR)/build-tree/html
	cd build-tree/html/exim-html-*/doc/html/spec_html/ && \
		find -name 'ch??.html' -or -name 'filter_ch??.html' | \
		while read i ; do s=`readlink "$$i" | sed -e 's:.*/::'` ; \
		rm "$$i" ; ln -vs "$$s" "$$i" ; done
	find build-tree/html/exim-html-*/doc/html/spec_html/ -type f \
		-name '*.html' -print0 | xargs -r0 \
		sed -i -e 's:href="[^"]*/\([^"]*\.css"\):href="\1:g' \
		-e 's:img src="\.[^"]*/\([^"]*\.png\):img src="\1:g'

%:
	dh $@

=== debian/watch ===
version=2

ftp://ftp.exim.org/pub/exim/exim4/exim-html-([0-9\.]*)\.tar\.gz

## eximdoc4 4.87

=== debian/changelog ===
eximdoc4 (4.87-1) unstable; urgency=medium

  * Move Vcs-* from git/http to https.
  * For info-generation pass --encoding=UTF-8 to docbook2x-texi.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 09 Apr 2016 14:45:03 +0200

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,9 @@
  libfile-slurp-perl, libxml-libxml-perl, libxml-libxslt-perl, 
  docbook-xml, docbook-xsl
 Homepage: http://www.exim.org/
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/pkg-exim4/eximdoc4.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-exim4/eximdoc4.git
+Standards-Version: 3.9.7
+Vcs-Git: https://anonscm.debian.org/git/pkg-exim4/eximdoc4.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-exim4/eximdoc4.git
 
 Package: exim4-doc-info
 Depends: ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,8 @@
 
 	cd build-tree && \
 		$(MAKE) DOCBOOK2TEXI=docbook2x-texi os-fixup && \
-		$(MAKE) DOCBOOK2TEXI=docbook2x-texi spec.xml filter.xml \
+		$(MAKE) DOCBOOK2TEXI="docbook2x-texi" spec.xml filter.xml && \
+		$(MAKE) DOCBOOK2TEXI="docbook2x-texi --encoding=UTF-8" \
 			spec.info filter.info
 	mkdir build-tree/html
 	cd build-tree && \

## eximdoc4 4.88

=== debian/changelog ===
eximdoc4 (4.88-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Metzler <ametzler@debian.org>  Tue, 27 Dec 2016 13:53:01 +0100

eximdoc4 (4.88~RC6-1) unstable; urgency=medium

  * New upstream version.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 11 Dec 2016 11:27:58 +0100

eximdoc4 (4.87-2) unstable; urgency=medium

  [ Chris Lamb ]
  * Fix FTBFS with bash as /bin/sh. Closes: #841707

 -- Andreas Metzler <ametzler@debian.org>  Sat, 22 Oct 2016 17:51:19 +0200

## eximdoc4 4.89

=== doc-docbook/Makefile ===
--- 
+++ 
@@ -23,7 +23,7 @@
 
 ########################################################################
 
-# .PHONY doesn't work here, because it forces a rebuild of all dependend
+# .PHONY doesn't work here, because it forces a rebuild of all dependent
 # targets, always. It sets the internal timestamp of its target to
 # now().
 # But it may happen that local_params does not change

=== debian/changelog ===
eximdoc4 (4.89-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 10 Mar 2017 19:04:12 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  libfile-slurp-perl, libxml-libxml-perl, libxml-libxslt-perl, 
  docbook-xml, docbook-xsl
 Homepage: http://www.exim.org/
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/git/pkg-exim4/eximdoc4.git
 Vcs-Browser: https://anonscm.debian.org/git/pkg-exim4/eximdoc4.git

=== debian/rules ===
--- 
+++ 
@@ -26,11 +26,11 @@
 		--filter $(CURDIR)/build-tree/filter.xml \
 		--latest $(EXIM_VER) --tmpl $(CURDIR)/website/templates \
 		--docroot $(CURDIR)/build-tree/html
-	cd build-tree/html/exim-html-*/doc/html/spec_html/ && \
+	cd build-tree/html/exim-html-4*/doc/html/spec_html/ && \
 		find -name 'ch??.html' -or -name 'filter_ch??.html' | \
 		while read i ; do s=`readlink "$$i" | sed -e 's:.*/::'` ; \
 		rm "$$i" ; ln -vs "$$s" "$$i" ; done
-	find build-tree/html/exim-html-*/doc/html/spec_html/ -type f \
+	find build-tree/html/exim-html-4*/doc/html/spec_html/ -type f \
 		-name '*.html' -print0 | xargs -r0 \
 		sed -i -e 's:href="[^"]*/\([^"]*\.css"\):href="\1:g' \
 		-e 's:img src="\.[^"]*/\([^"]*\.png\):img src="\1:g'

## eximdoc4 4.90.1

=== doc-docbook/Makefile ===
--- 
+++ 
@@ -96,6 +96,7 @@
                 MyStyle.xsl
 	      /bin/rm -rf filter-txt.html
 	      xmlto -x MyStyle-txt-html.xsl html-nochunks filter-txt.xml
+	      command -v w3m >/dev/null
 	      LC_ALL=C w3m -dump filter-txt.html | ./Tidytxt >filter.txt
 	      ./SanityTestText filter.txt
 
@@ -181,9 +182,11 @@
 		@grep -iq 'LC_CTYPE=.*utf-\?8' local_params || { \
 			echo 'your current locale does not support UTF-8' >&2; \
 			false; }
+		command -v w3m >/dev/null
 		w3m -dump $< | ./Tidytxt -utf8 >$@
 
 spec.txt: spec-txt.html Tidytxt
+	      command -v w3m >/dev/null
 	      LC_ALL=C w3m -dump $< | ./Tidytxt >$@
 	      ./SanityTestText spec.txt
 
@@ -270,6 +273,7 @@
                 MyStyle.xsl
 	      /bin/rm -rf test-txt.html
 	      xmlto -x MyStyle-txt-html.xsl html-nochunks test-txt.xml
+	      command -v w3m >/dev/null
 	      w3m -dump test-txt.html | Tidytxt >test.txt
 
 # I have not found a way of making docbook2texi write its output anywhere

=== debian/changelog ===
eximdoc4 (4.90.1-1) unstable; urgency=low

  * New upstream release.
    + Refresh 0010-fixbrokenlinks.diff.
  * Use debhelper v10 compat.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 25 Feb 2018 13:20:40 +0100

eximdoc4 (4.90-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * [lintian] Drop trailing whitespace.
  * Point watchfile and homepage field to https URL.
  * Copy upstream/signing-key.asc from exim4 package.
  * Use /usr/share/dpkg/pkg-info.mk instead of parsing dpkg-parsechangelog
    output.
  * Set Rules-Requires-Root: no.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 22 Dec 2017 19:43:42 +0100

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,13 @@
 Maintainer: Exim4 Maintainers <pkg-exim4-maintainers@lists.alioth.debian.org>
 Uploaders: Marc Haber <mh+debian-packages@zugschlus.de>,
  Andreas Metzler <ametzler@debian.org>
-Build-Depends: texinfo, debhelper (>= 9), xfpt, docbook2x, 
+Build-Depends: texinfo, debhelper (>= 10), xfpt, docbook2x,
  libcss-minifier-xs-perl, libjavascript-minifier-xs-perl,
- libfile-slurp-perl, libxml-libxml-perl, libxml-libxslt-perl, 
+ libfile-slurp-perl, libxml-libxml-perl, libxml-libxslt-perl,
  docbook-xml, docbook-xsl
-Homepage: http://www.exim.org/
-Standards-Version: 3.9.8
+Homepage: https://www.exim.org/
+Standards-Version: 4.1.3
+Rules-Requires-Root: no
 Vcs-Git: https://anonscm.debian.org/git/pkg-exim4/eximdoc4.git
 Vcs-Browser: https://anonscm.debian.org/git/pkg-exim4/eximdoc4.git
 
@@ -33,7 +34,7 @@
  http://lists.alioth.debian.org/mailman/listinfo/pkg-exim4-users
  .
  exim is a drop-in replacement for sendmail/mailq/rsmtp.
- 
+
 Package: exim4-doc-html
 Depends: ${misc:Depends}
 Replaces: eximdoc4-html

=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,11 @@
 #!/usr/bin/make -f
 
-# Uncomment this to turn on verbose mode. 
+# Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-UPSTREAMVERSION := $(shell dpkg-parsechangelog | \
-	sed -n '/^Version: /{s/^Version: \(.\+\)-[^-]\+/\1/;p;}')
+include /usr/share/dpkg/pkg-info.mk
 
-export EXIM_VER := $(shell echo $(UPSTREAMVERSION) | sed -e 's/~.*//g')
+export EXIM_VER := $(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/~.*//g')
 
 override_dh_auto_clean:
 	rm -rf build-tree

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/,uversionmangle=s/_/~/ \
https://ftp.exim.org/pub/exim/exim4/exim-html-(\d.*)\.(?:tgz|tar\.(?:gz|bz2|xz))

## eximdoc4 4.91

=== debian/changelog ===
eximdoc4 (4.91-1) unstable; urgency=low

  * New upstream release.
  * Point vcs* to salsa.
  * Use downloads.exim.org in watchfile.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 21 Apr 2018 13:39:51 +0200

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,10 @@
  libfile-slurp-perl, libxml-libxml-perl, libxml-libxslt-perl,
  docbook-xml, docbook-xsl
 Homepage: https://www.exim.org/
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Rules-Requires-Root: no
-Vcs-Git: https://anonscm.debian.org/git/pkg-exim4/eximdoc4.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-exim4/eximdoc4.git
+Vcs-Git: https://salsa.debian.org/exim-team/eximdoc4.git
+Vcs-Browser: https://salsa.debian.org/exim-team/eximdoc4
 
 Package: exim4-doc-info
 Depends: ${misc:Depends}

## eximdoc4 4.92

=== doc-docbook/Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # Generate all the documentation files...
 #
 ## removed info files as I cannot generate them -  spec.info filter.info
-## removed html files as superceded by new website code
+## removed html files as superseded by new website code
 everything:		spec.pdf 	spec.ps  	spec.txt \
 				filter.pdf 	filter.ps filter.txt \
 				exim.8

=== debian/changelog ===
eximdoc4 (4.92-1) unstable; urgency=medium

  * New upstream release.
    + Drop 0020-clean-revision.diff.
  * Use debhelper 11 compat.

 -- Andreas Metzler <ametzler@debian.org>  Tue, 12 Feb 2019 18:29:42 +0100

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Maintainer: Exim4 Maintainers <pkg-exim4-maintainers@lists.alioth.debian.org>
 Uploaders: Marc Haber <mh+debian-packages@zugschlus.de>,
  Andreas Metzler <ametzler@debian.org>
-Build-Depends: texinfo, debhelper (>= 10), xfpt, docbook2x,
+Build-Depends: texinfo, debhelper-compat (= 11), xfpt, docbook2x,
  libcss-minifier-xs-perl, libjavascript-minifier-xs-perl,
  libfile-slurp-perl, libxml-libxml-perl, libxml-libxslt-perl,
  docbook-xml, docbook-xsl
 Homepage: https://www.exim.org/
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/exim-team/eximdoc4.git
 Vcs-Browser: https://salsa.debian.org/exim-team/eximdoc4
